<?php
include 'db.php';

if (isset($_GET['mac_address'])) {
    $mac_address = $_GET['mac_address'];

    // Modificar la consulta para obtener la xml_url directamente desde la tabla macs
    $sql = "
        SELECT m.mac_address, m.status, m.expiration_date, m.xml_url 
        FROM macs m 
        WHERE m.mac_address = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param('s', $mac_address);
    $stmt->execute();

    $result = $stmt->get_result()->fetch_assoc();

    if ($result && $result['status'] === 'active' && (is_null($result['expiration_date']) || new DateTime() < new DateTime($result['expiration_date']))) {
        echo json_encode([
            "status" => "success",
            "xml_url" => $result['xml_url']
        ], JSON_UNESCAPED_SLASHES);
    } else {
        echo json_encode([
            "status" => "error",
            "message" => "MAC address not registered or inactive"
        ]);
    }

    $stmt->close();
} else {
    echo json_encode([
        "status" => "error",
        "message" => "MAC address is required"
    ]);
}

$conn->close();
?>