<?php
include 'db.php';
session_start();

if (!isset($_SESSION['user_id'])) {
    header("Location: login.php");
    exit;
}

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['user_id'])) {
    $user_id = $_POST['user_id'];
    $username = $_POST['username'];
    $email = $_POST['email'];
    $contact_number = $_POST['contact_number'];
    $mac_limit = $_POST['mac_limit'];
    $company_name = $_POST['company_name'];
    $country = $_POST['country'];

    $update_sql = "UPDATE users SET username = ?, email = ?, contact_number = ?, mac_limit = ?, company_name = ?, country = ? WHERE id = ?";
    $stmt = $conn->prepare($update_sql);
    $stmt->bind_param("sssissi", $username, $email, $contact_number, $mac_limit, $company_name, $country, $user_id);

    if ($stmt->execute()) {
        echo "Usuario actualizado exitosamente.";
    } else {
        echo "Error: " . $stmt->error;
    }

    $stmt->close();
}

// Obtener datos del usuario a editar
if (isset($_GET['user_id'])) {
    $user_id = $_GET['user_id'];
    $select_sql = "SELECT * FROM users WHERE id = ?";
    $stmt = $conn->prepare($select_sql);
    $stmt->bind_param("i", $user_id);
    $stmt->execute();
    $user_data = $stmt->get_result()->fetch_assoc();
    $stmt->close();
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Editar Usuario</title>
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <style>
        .bg-gradient-primary {
            min-height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .card {
            width: 100%;
            max-width: 500px;
        }
    </style>
</head>

<body class="bg-gradient-primary">

<div class="container">
    <div class="row justify-content-center">
        <div class="col-xl-10 col-lg-12 col-md-9">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="p-5">
                                <div class="text-center">
                                    <h1 class="h4 text-gray-900 mb-4">Editar Usuario</h1>
                                </div>
                                <form class="user" method="POST" action="edit_user.php">
                                    <input type="hidden" name="user_id" value="<?php echo $user_data['id']; ?>">
                                    <div class="form-group">
                                        <input type="text" class="form-control form-control-user" name="username" value="<?php echo $user_data['username']; ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <input type="text" class="form-control form-control-user" name="company_name" value="<?php echo $user_data['company_name']; ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <select name="country" class="form-control" required>
                                            <option value="Belize" <?php echo ($user_data['country'] == 'Belize') ? 'selected' : ''; ?>>Belice</option>
                                            <option value="Costa Rica" <?php echo ($user_data['country'] == 'Costa Rica') ? 'selected' : ''; ?>>Costa Rica</option>
                                            <option value="El Salvador" <?php echo ($user_data['country'] == 'El Salvador') ? 'selected' : ''; ?>>El Salvador</option>
                                            <option value="Guatemala" <?php echo ($user_data['country'] == 'Guatemala') ? 'selected' : ''; ?>>Guatemala</option>
                                            <option value="Honduras" <?php echo ($user_data['country'] == 'Honduras') ? 'selected' : ''; ?>>Honduras</option>
                                            <option value="Nicaragua" <?php echo ($user_data['country'] == 'Nicaragua') ? 'selected' : ''; ?>>Nicaragua</option>
                                            <option value="Panama" <?php echo ($user_data['country'] == 'Panama') ? 'selected' : ''; ?>>Panamá</option>
                                            <option value="United States" <?php echo ($user_data['country'] == 'United States') ? 'selected' : ''; ?>>Estados Unidos</option>
                                            <option value="Bahamas" <?php echo ($user_data['country'] == 'Bahamas') ? 'selected' : ''; ?>>Bahamas</option>
                                            <option value="Cuba" <?php echo ($user_data['country'] == 'Cuba') ? 'selected' : ''; ?>>Cuba</option>
                                            <option value="Dominican Republic" <?php echo ($user_data['country'] == 'Dominican Republic') ? 'selected' : ''; ?>>República Dominicana</option>
                                            <option value="Haiti" <?php echo ($user_data['country'] == 'Haiti') ? 'selected' : ''; ?>>Haití</option>
                                            <option value="Jamaica" <?php echo ($user_data['country'] == 'Jamaica') ? 'selected' : ''; ?>>Jamaica</option>
                                            <option value="Puerto Rico" <?php echo ($user_data['country'] == 'Puerto Rico') ? 'selected' : ''; ?>>Puerto Rico</option>
                                            <option value="Trinidad and Tobago" <?php echo ($user_data['country'] == 'Trinidad and Tobago') ? 'selected' : ''; ?>>Trinidad y Tobago</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <input type="email" class="form-control form-control-user" name="email" value="<?php echo $user_data['email']; ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <input type="text" class="form-control form-control-user" name="contact_number" value="<?php echo $user_data['contact_number']; ?>" required>
                                    </div>
                                    <div class="form-group">
                                        <label for="mac_limit" class="text-gray-900">Límite de MACs</label>
                                        <input type="number" class="form-control form-control-user" name="mac_limit" value="<?php echo $user_data['mac_limit']; ?>" min="0" required>
                                    </div>
                                    <input type="submit" class="btn btn-primary btn-user btn-block" value="Actualizar Usuario">
                                </form>
                                <hr>
                                <div class="text-center">
                                    <a class="small" href="admin_dashboard.php">Regresar al Dashboard</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>

</div>

<script src="vendor/jquery/jquery.min.js"></script>
<script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="vendor/jquery-easing/jquery.easing.min.js"></script>
<script src="js/sb-admin-2.min.js"></script>

</body>

</html>